Skip to Content
Product Information
Author's profile photo Thorsten Dencker

Internet Explorer 11 will no longer be supported by various SAP UI technologies in newer releases

This blog post highlights the end of support for Microsoft legacy browsers Internet Explorer 11 and Edge Legacy by various SAP UI Technologies like Web Dynpro ABAP, SAP GUI for HTML, SAPUI5, WebClient UI and Business Server Pages (BSP) and the recommended activities for our customers.

What?

SAP UI Technologies supports a range of browsers and platforms e.g. Chrome, Firefox, Microsoft New Edge (Chromium) and Safari. For details see the Product Availability Matrix of SAP Netweaver or S/4HANA.

Microsoft Internet Explorer 11 and Microsoft Edge Legacy (EdgeHTML) are legacy products with limited maintenance from Microsoft. Both will not be supported by future Web Dynpro ABAP, SAP GUI for HTML, WebClient UI, BSP and SAPUI5 versions.

When?

The end of support of Internet Explorer 11 was announced earlier in the SAP Note “1672817 – Browser: Microsoft Legacy Edge and Internet Explorer Support Policy Note”.

Specifically, this means

  • Web Dynpro ABAP no longer supports Internet Explorer 11 starting with SAP_UI 7.56
  • Floorplan Manager for Web Dynpro ABAP no longer supports Internet Explorer 11 starting with SAP_UI 7.56
  • SAP GUI for HTML no longer supports Internet Explorer 11 starting with Kernel 7.85 used in S/4 HANA Cloud 2105, S/4HANA 2021 or newer
  • SAPUI5 no longer supports IE11 starting with SAPUI5 1.88 (2104).
    See blog post SAPUI5 versions will no longer support Microsoft’s legacy browsers
  • Business Server Pages no longer supports Internet Explorer 11 starting with SAP_BASIS 7.56 used in S/4HANA 2021 or newer
  • SAP Netweaver Business Client for HTML (NWBC for HTML) no longer supports Internet Explorer 11 starting with SAP_UI 7.56
  • WebClient UI no longer supports Internet Explorer 11 starting with S/4 HANA Cloud 2105, S/4HANA 2021 or newer

Support for the Microsoft Edge Legacy (EdgeHTML) browser will be discontinued on March 9th, 2021, since Microsoft discontinued support for it on that date.

As a result, to name a few, the following product releases will no longer support Internet Explorer 11:

  • SAP S/4HANA Cloud 2105
  • SAP S/4HANA 2021
  • SAP Integrated Business Planning for Supply Chain 2105
  • SAP Marketing Cloud 2105

Note that this is not an exhaustive list of products which will discontinue Internet Explorer 11 support.

This does not affect any support statements for the new Microsoft Edge (Chromium) browser, see SAP Note 2884143.

Older S/4HANA or Suite releases are not affected by the de-support of Internet Explorer 11 until Microsoft will remove the Internet Explorer 11 support on June 15, 2022. As SAP support ends latest with end of support by the vendor​, SAP stops the Internet Explorer 11 support for these OS combinations on June 15,2022.

Why?

Microsoft Internet Explorer 11 and Microsoft Edge Legacy (EdgeHTML) are legacy products, which do not fulfil the requirements of a modern browser regarding features, security, performance, etc. Microsoft has limited the support for both products and recommends transitioning to the new Microsoft Edge browser.

Microsoft stops the support for Internet Explorer 11 on June 15, 2022 for various OS combinations.

To ensure a secure environment for running business-critical solutions, SAP recommends using the latest version of a modern and secure browser.

 

Recommended Action and Upgrade Strategy

SAP always recommends using the latest version of a modern, supported browser e.g. Chrome, Edge, Firefox or Safari.

Until your environment is updated to a supported browser, you may:

  • use the Internet Explorer legacy mode in MS New Edge (Chromium);
  • stay on a long-term maintenance release of Web Dynpro ABAP with SAP_UI 7.54, together with SAPUI5 version 1.71 in combination with Frontend Server 6.0 (FES 6.0).

Should you be unable to move away from Internet Explorer 11, then it is essential that you do not upgrade to SAP_UI 7.56, since all SAP systems using SAP_UI 7.56 will not support Internet Explorer 11.

Former versions of SAP GUI for Windows uses always the Internet Explorer 11 to display HTML content within SAP GUI for Windows. As of the release 7.70 the SAP GUI for Windows supports Microsoft Edge (Chromium) as an alternative browser. Please see SAP Note 2913405 – SAP GUI for Windows: Dependencies to browsers / browser controls”.  Upgrade to SAP GUI for Windows 7.70 and configure it to use Microsoft WebView2 control (Edge based on Chromium).

More Information

Assigned tags

      9 Comments
      You must be Logged on to comment or reply to a post.
      Author's profile photo Thierry Mathieu
      Thierry Mathieu

      Hello Thorsten

      we use the Icweb (CRM7 ehp3, SAP_UI : 7.53) & SAPUI5 applications (1.60.30)

      and we are discovering today your nice blog as all our fiori apps got stucked with

      we are still using IE11 as we use a lot activeX for MS office integration, and ICweb with CTI integration ..

      Edge is under consideration but we were refering to OSS 1672817.

      As per our understanding of this note + PAM matrix, we were still ok ...

      Yet, since 22/04/21 we are not ...

      Do you have an idea of the component which got limited on the 22/04/2021 ?

      🙂

      Thanks for any ideas ..

      Regards

      Thierry

       

       

      Author's profile photo Thorsten Dencker
      Thorsten Dencker
      Blog Post Author

      Hi Thierry,

      the IE11 support for older releases remains which includes the version you mentioned. The error message indicates that it is a UI5 application or coming from the Fiori Launchpad (FLP). Are you using the cFLP (Central Fiori Launchpad) or is used UI5 version is higher than 1.60?

      If not please open an incident at the corresponding application / UI5 component.

      Regards Thorsten

      Author's profile photo Thierry Mathieu
      Thierry Mathieu

      Thanks Thorsten for your feedback. We don't use the cFLP.

      we solved our pbs by adding

       src="https://sapui5.hana.ondemand.com/1.87.3/resources/sap-ui-core.js"

      in each of our SAPUI5 apps.

      Without forcing the release, the system is taking the last one available and this was changed on the 22/04 😉

      Regards

      Thierry

      Author's profile photo Hannes Johne
      Hannes Johne

      Thanks for posting the "error message" / info notice that one is going to see. I was missing an "How?" paragraph in the blog post and was specifically wondering about how users of older browsers are getting informed.

      Could someone also provide the URL to the link after "For more information, see..."?

      Also: is there something like Microsoft's search terminology for strings/messages available for SAP products? It turns out to be really useful when localizing backwards in order to find answers to questions not available e.g. in German.

      Author's profile photo Thierry Mathieu
      Thierry Mathieu

      Hello Hannes

      the link is redirecting the user to this page, eg Thorsten's blog.

      Regards

      Author's profile photo Mathias Raffel
      Mathias Raffel

      Hi Thorsten,

      we are performing our annual SAP HR patching and upgraded to SAP_UI 753 PL 10.

      In testing the WDA in EP, we encounter now issues of blank pages being displayed.

      The same WDA works in Chrome and Edge.

      We thought IE 11 will not be supported as of SAP_UI 756.

      Can you please shed some light on this puzzle?

      Thanks and with best regards,

      Mathias

      Author's profile photo Thorsten Dencker
      Thorsten Dencker
      Blog Post Author

      Hi Mathias,

      Please open an incident as the issue could have various root causes e.g. running portal in IE11 Quirks Mode which isn‘t supported with SAPUI 7.53. We need more information to provide a fast and correct answer.

      You are right IE11 support was stopped with SAP_UI 7.56.

      Best regards Thorsten

      Author's profile photo Mathias Raffel
      Mathias Raffel

      Hi Thorsten,

      thank you for the super fast reply. I think you are right our EP is older (NW 7.0 SP 18) and defaults to Quirks Mode and as far as we can tell it cannot be changed.

      We got our hopes up when we found SAP Note 1737445, but prerequisite is NW 7.0 SP 28&27.

      Nevertheless I opened incident 610777 / 2021, hoping there might be another workaround.

      Currently it is not feasible for us to upgrade EP to a higher release since we would have to upgrade our BW system in parallel.

       

      Thanks and with best regards,

      Mathias

      Author's profile photo Thorsten Dencker
      Thorsten Dencker
      Blog Post Author

      Hi Mathias,

      I can only recommend to upgrade your portal as it is already out of maintenance. Microsoft will stop IE11 support mid of 2022 for Windows 10 which makes it even more complicated.

      Our experts will check your message.

      Best regards Thorsten